
# Remote Zabbix proxy health

### Macros used

|Name|Description|Default|
|----|-----------|-------|
|{$ZABBIX.PROXY.ADDRESS}|<p>IP/DNS/network mask list of proxies to be remotely queried (default is 127.0.0.1).</p>||
|{$ZABBIX.PROXY.PORT}|<p>Port of proxy to be remotely queried (default is 10051).</p>||
|{$ZABBIX.PROXY.UTIL.MAX}|<p>Maximum average percentage of time processes busy in the last minute (default is 75).</p>|`75`|
|{$ZABBIX.PROXY.UTIL.MIN}|<p>Minimum average percentage of time processes busy in the last minute (default is 65).</p>|`65`|
|{$ZABBIX.PROXY.NODATA_TIMEOUT}|<p>The time threshold after which statistics are considered unavailable. Used in trigger expression.</p>|`5m`|

### Items

|Name|Description|Type|Key and additional info|
|----|-----------|----|-----------------------|
|Remote Zabbix proxy: Zabbix stats|<p>Zabbix server statistics master item.</p>|Zabbix internal|zabbix[stats,{$ZABBIX.PROXY.ADDRESS},{$ZABBIX.PROXY.PORT}]|
|Remote Zabbix proxy: Zabbix stats queue over 10m|<p>Number of monitored items in the queue which are delayed at least by 10 minutes.</p>|Zabbix internal|zabbix[stats,{$ZABBIX.PROXY.ADDRESS},{$ZABBIX.PROXY.PORT},queue,10m]<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.queue`</p></li></ul>|
|Remote Zabbix proxy: Zabbix stats queue|<p>Number of monitored items in the queue which are delayed at least by 6 seconds.</p>|Zabbix internal|zabbix[stats,{$ZABBIX.PROXY.ADDRESS},{$ZABBIX.PROXY.PORT},queue]<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.queue`</p></li></ul>|
|Remote Zabbix proxy: Utilization of data sender internal processes, in %|<p>Average percentage of time data sender processes have been busy in the last minute.</p>|Dependent item|process.data_sender.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['data sender'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes data sender not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of availability manager internal processes, in %|<p>Average percentage of time availability manager processes have been busy in the last minute.</p>|Dependent item|process.availability_manager.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['availability manager'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes availability manager not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of configuration syncer internal processes, in %|<p>Average percentage of time configuration syncer processes have been busy in the last minute.</p>|Dependent item|process.configuration_syncer.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['configuration syncer'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes configuration syncer not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of discoverer data collector processes, in %|<p>Average percentage of time discoverer processes have been busy in the last minute.</p>|Dependent item|process.discoverer.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['discoverer'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes discoverer not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of ODBC poller data collector processes, in %|<p>Average percentage of time ODBC poller processes have been busy in the last minute.</p>|Dependent item|process.odbc_poller.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['odbc poller'].busy.avg`</p></li></ul>|
|Remote Zabbix proxy: Utilization of history poller data collector processes, in %|<p>Average percentage of time history poller processes have been busy in the last minute.</p>|Dependent item|process.history_poller.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['history poller'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes history poller not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of history syncer internal processes, in %|<p>Average percentage of time history syncer processes have been busy in the last minute.</p>|Dependent item|process.history_syncer.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['history syncer'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes history syncer not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of housekeeper internal processes, in %|<p>Average percentage of time housekeeper processes have been busy in the last minute.</p>|Dependent item|process.housekeeper.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['housekeeper'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes housekeeper not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of http poller data collector processes, in %|<p>Average percentage of time http poller processes have been busy in the last minute.</p>|Dependent item|process.http_poller.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['http poller'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes http poller not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of icmp pinger data collector processes, in %|<p>Average percentage of time icmp pinger processes have been busy in the last minute.</p>|Dependent item|process.icmp_pinger.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['icmp pinger'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes icmp pinger not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of ipmi manager internal processes, in %|<p>Average percentage of time ipmi manager processes have been busy in the last minute.</p>|Dependent item|process.ipmi_manager.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['ipmi manager'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes ipmi manager not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of ipmi poller data collector processes, in %|<p>Average percentage of time ipmi poller processes have been busy in the last minute.</p>|Dependent item|process.ipmi_poller.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['ipmi poller'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes ipmi poller not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of java poller data collector processes, in %|<p>Average percentage of time java poller processes have been busy in the last minute.</p>|Dependent item|process.java_poller.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['java poller'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes java poller not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of poller data collector processes, in %|<p>Average percentage of time poller processes have been busy in the last minute.</p>|Dependent item|process.poller.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['poller'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes poller not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of preprocessing worker internal processes, in %|<p>Average percentage of time preprocessing worker processes have been busy in the last minute.</p>|Dependent item|process.preprocessing_worker.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['preprocessing worker'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes preprocessing worker not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of preprocessing manager internal processes, in %|<p>Average percentage of time preprocessing manager processes have been busy in the last minute.</p>|Dependent item|process.preprocessing_manager.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['preprocessing manager'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes preprocessing manager not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of self-monitoring internal processes, in %|<p>Average percentage of time self-monitoring processes have been busy in the last minute.</p>|Dependent item|process.self-monitoring.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['self-monitoring'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes self-monitoring not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of snmp trapper data collector processes, in %|<p>Average percentage of time snmp trapper processes have been busy in the last minute.</p>|Dependent item|process.snmp_trapper.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['snmp trapper'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes snmp trapper not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of task manager internal processes, in %|<p>Average percentage of time task manager processes have been busy in the last minute.</p>|Dependent item|process.task_manager.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['task manager'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes task manager not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of trapper data collector processes, in %|<p>Average percentage of time trapper processes have been busy in the last minute.</p>|Dependent item|process.trapper.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['trapper'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes trapper not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of unreachable poller data collector processes, in %|<p>Average percentage of time unreachable poller processes have been busy in the last minute.</p>|Dependent item|process.unreachable_poller.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['unreachable poller'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes unreachable poller not started`</p></li></ul>|
|Remote Zabbix proxy: Utilization of vmware data collector processes, in %|<p>Average percentage of time vmware collector processes have been busy in the last minute.</p>|Dependent item|process.vmware_collector.avg.busy<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.process['vmware collector'].busy.avg`</p><p>⛔️Custom on fail: Set error to: `Processes vmware collector not started`</p></li></ul>|
|Remote Zabbix proxy: Configuration cache, % used|<p>Availability statistics of Zabbix configuration cache. Percentage of used buffer.</p>|Dependent item|rcache.buffer.pused<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.rcache.pused`</p></li></ul>|
|Remote Zabbix proxy: Version|<p>Version of Zabbix proxy.</p>|Dependent item|version<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.version`</p></li><li><p>Discard unchanged with heartbeat: `1d`</p></li></ul>|
|Remote Zabbix proxy: VMware cache, % used|<p>Availability statistics of Zabbix vmware cache. Percentage of used buffer.</p>|Dependent item|vmware.buffer.pused<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.vmware.pused`</p><p>⛔️Custom on fail: Set error to: `No vmware collector processes started`</p></li></ul>|
|Remote Zabbix proxy: History write cache, % used|<p>Statistics and availability of Zabbix write cache. Percentage of used history buffer.</p><p>History cache is used to store item values. A high number indicates performance problems on the database side.</p>|Dependent item|wcache.history.pused<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.history.pused`</p></li></ul>|
|Remote Zabbix proxy: History index cache, % used|<p>Statistics and availability of Zabbix write cache. Percentage of used history index buffer.</p><p>History index cache is used to index values stored in history cache.</p>|Dependent item|wcache.index.pused<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.index.pused`</p></li></ul>|
|Remote Zabbix proxy: Number of processed values per second|<p>Statistics and availability of Zabbix write cache.</p><p>Total number of values processed by Zabbix server or Zabbix proxy, except unsupported items.</p>|Dependent item|wcache.values<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.values.all`</p></li><li>Change per second</li></ul>|
|Remote Zabbix proxy: Number of processed numeric (float) values per second|<p>Statistics and availability of Zabbix write cache.</p><p>Number of processed float values.</p>|Dependent item|wcache.values.float<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.values.float`</p></li><li>Change per second</li></ul>|
|Remote Zabbix proxy: Number of processed log values per second|<p>Statistics and availability of Zabbix write cache.</p><p>Number of processed log values.</p>|Dependent item|wcache.values.log<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.values.log`</p></li><li>Change per second</li></ul>|
|Remote Zabbix proxy: Number of processed not supported values per second|<p>Statistics and availability of Zabbix write cache.</p><p>Number of times item processing resulted in item becoming unsupported or keeping that state.</p>|Dependent item|wcache.values.not_supported<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.values['not supported']`</p></li><li>Change per second</li></ul>|
|Remote Zabbix proxy: Number of processed character values per second|<p>Statistics and availability of Zabbix write cache.</p><p>Number of processed character/string values.</p>|Dependent item|wcache.values.str<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.values.str`</p></li><li>Change per second</li></ul>|
|Remote Zabbix proxy: Number of processed text values per second|<p>Statistics and availability of Zabbix write cache.</p><p>Number of processed text values.</p>|Dependent item|wcache.values.text<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.values.text`</p></li><li>Change per second</li></ul>|
|Remote Zabbix proxy: Preprocessing queue|<p>Count of values enqueued in the preprocessing queue.</p>|Dependent item|preprocessing_queue<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.preprocessing_queue`</p></li></ul>|
|Remote Zabbix proxy: Number of processed numeric (unsigned) values per second|<p>Statistics and availability of Zabbix write cache.</p><p>Number of processed numeric (unsigned) values.</p>|Dependent item|wcache.values.uint<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.wcache.values.uint`</p></li><li>Change per second</li></ul>|
|Remote Zabbix proxy: Required performance|<p>Required performance of Zabbix proxy, in new values per second expected.</p>|Dependent item|requiredperformance<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.requiredperformance`</p></li></ul>|
|Remote Zabbix proxy: Uptime|<p>Uptime of Zabbix proxy process in seconds.</p>|Dependent item|uptime<p>**Preprocessing**</p><ul><li><p>JSON Path: `$.data.uptime`</p></li></ul>|

### Triggers

|Name|Description|Expression|Severity|Dependencies and additional info|
|----|-----------|----------|--------|--------------------------------|
|Remote Zabbix proxy: More than 100 items having missing data for more than 10 minutes|<p>zabbix[stats,{$ZABBIX.PROXY.ADDRESS},{$ZABBIX.PROXY.PORT},queue,10m] item is collecting data about how many items are missing data for more than 10 minutes.</p>|`min(/Remote Zabbix proxy health/zabbix[stats,{$ZABBIX.PROXY.ADDRESS},{$ZABBIX.PROXY.PORT},queue,10m],10m)>100`|Warning|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of data sender processes is high||`avg(/Remote Zabbix proxy health/process.data_sender.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"data sender"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of availability manager processes is high||`avg(/Remote Zabbix proxy health/process.availability_manager.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"availability manager"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of configuration syncer processes is high||`avg(/Remote Zabbix proxy health/process.configuration_syncer.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"configuration syncer"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of discoverer processes is high||`avg(/Remote Zabbix proxy health/process.discoverer.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"discoverer"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of ODBC poller processes is high||`avg(/Remote Zabbix proxy health/process.odbc_poller.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"ODBC poller"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of history poller processes is high||`avg(/Remote Zabbix proxy health/process.history_poller.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"history poller"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of history syncer processes is high||`avg(/Remote Zabbix proxy health/process.history_syncer.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"history syncer"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of housekeeper processes is high||`avg(/Remote Zabbix proxy health/process.housekeeper.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"housekeeper"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of http poller processes is high||`avg(/Remote Zabbix proxy health/process.http_poller.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"http poller"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of icmp pinger processes is high||`avg(/Remote Zabbix proxy health/process.icmp_pinger.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"icmp pinger"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of ipmi manager processes is high||`avg(/Remote Zabbix proxy health/process.ipmi_manager.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"ipmi manager"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of ipmi poller processes is high||`avg(/Remote Zabbix proxy health/process.ipmi_poller.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"ipmi poller"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of java poller processes is high||`avg(/Remote Zabbix proxy health/process.java_poller.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"java poller"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of poller processes is high||`avg(/Remote Zabbix proxy health/process.poller.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"poller"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of preprocessing worker processes is high||`avg(/Remote Zabbix proxy health/process.preprocessing_worker.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"preprocessing worker"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of preprocessing manager processes is high||`avg(/Remote Zabbix proxy health/process.preprocessing_manager.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"preprocessing manager"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of self-monitoring processes is high||`avg(/Remote Zabbix proxy health/process.self-monitoring.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"self-monitoring"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of snmp trapper processes is high||`avg(/Remote Zabbix proxy health/process.snmp_trapper.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"snmp trapper"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of task manager processes is high||`avg(/Remote Zabbix proxy health/process.task_manager.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"task manager"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of trapper processes is high||`avg(/Remote Zabbix proxy health/process.trapper.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"trapper"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of unreachable poller processes is high||`avg(/Remote Zabbix proxy health/process.unreachable_poller.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"unreachable poller"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Utilization of vmware collector processes is high||`avg(/Remote Zabbix proxy health/process.vmware_collector.avg.busy,10m)>{$ZABBIX.PROXY.UTIL.MAX:"vmware collector"}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: More than {$ZABBIX.PROXY.UTIL.MAX}% used in the configuration cache|<p>Consider increasing CacheSize in the zabbix_server.conf configuration file.</p>|`max(/Remote Zabbix proxy health/rcache.buffer.pused,10m)>{$ZABBIX.PROXY.UTIL.MAX}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: Failed to fetch stats data|<p>Zabbix has not received statistics data for {$ZABBIX.PROXY.NODATA_TIMEOUT}.</p>|`nodata(/Remote Zabbix proxy health/rcache.buffer.pused,{$ZABBIX.PROXY.NODATA_TIMEOUT})=1`|Warning||
|Remote Zabbix proxy: Version has changed|<p>Zabbix proxy version has changed. Acknowledge to close the problem manually.</p>|`last(/Remote Zabbix proxy health/version,#1)<>last(/Remote Zabbix proxy health/version,#2) and length(last(/Remote Zabbix proxy health/version))>0`|Info|**Manual close**: Yes|
|Remote Zabbix proxy: More than {$ZABBIX.PROXY.UTIL.MAX}% used in the vmware cache|<p>Consider increasing VMwareCacheSize in the zabbix_server.conf configuration file.</p>|`max(/Remote Zabbix proxy health/vmware.buffer.pused,10m)>{$ZABBIX.PROXY.UTIL.MAX}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: More than {$ZABBIX.PROXY.UTIL.MAX}% used in the history cache|<p>Consider increasing HistoryCacheSize in the zabbix_server.conf configuration file.</p>|`max(/Remote Zabbix proxy health/wcache.history.pused,10m)>{$ZABBIX.PROXY.UTIL.MAX}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: More than {$ZABBIX.PROXY.UTIL.MAX}% used in the history index cache|<p>Consider increasing HistoryIndexCacheSize in the zabbix_server.conf configuration file.</p>|`max(/Remote Zabbix proxy health/wcache.index.pused,10m)>{$ZABBIX.PROXY.UTIL.MAX}`|Average|**Manual close**: Yes|
|Remote Zabbix proxy: {HOST.NAME} has been restarted|<p>Uptime is less than 10 minutes.</p>|`last(/Remote Zabbix proxy health/uptime)<10m`|Info|**Manual close**: Yes|

## Feedback

Please report any issues with the template at [`https://support.zabbix.com`](https://support.zabbix.com)

You can also provide feedback, discuss the template, or ask for help at [`ZABBIX forums`](https://www.zabbix.com/forum/zabbix-suggestions-and-feedback)

